Clusters

Everything about MariaDB clusters.

List clusters

get
/clusters

Retrieves a list of MariaDB clusters.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Query parameters
limitinteger · min: 1 · max: 1000Optional

The maximum number of elements to return. Use together with 'offset' for pagination.

Default: 100Example: 100
offsetintegerOptional

The first element to return. Use together with 'limit' for pagination.

Default: 0Example: 200
filter.namestringOptional

Response filter to list only the MariaDB clusters that contain the specified name. The value is case insensitive and matched on the 'displayName' field.

Responses
chevron-right
200

Successful operation.

application/json

Pagination information in list responses.

idstringOptional

The unique ID of the resource.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
offsetintegerOptional

The offset specified in the request (if none was specified, the default offset is 0).

Default: 0Example: 200
limitinteger · max: 1000Optional

The limit specified in the request (if none was specified, the default limit is 100).

Default: 100Example: 100
totalintegerOptional

The total number of elements matching the request (without pagination).

Default: 0Example: 200
get
/clusters

Create a cluster

post
/clusters

Creates a new MariaDB cluster.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Body

Request payload with all data needed to create a new MariaDB cluster.

Responses
chevron-right
200

The created cluster is returned with metadata.state set to "BUSY".

application/json

A database cluster.

idstringOptional

The unique ID of the resource.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
post
/clusters

Fetch a cluster

get
/clusters/{clusterId}

You can retrieve a MariaDB cluster by using its ID. This value can be found in the response body when a MariaDB cluster is created or when you GET a list of MariaDB clusters.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
clusterIdstringRequired

The unique ID of the cluster.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
Responses
chevron-right
200

Successful operation.

application/json

A database cluster.

idstringOptional

The unique ID of the resource.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
get
/clusters/{clusterId}

Delete a cluster

delete
/clusters/{clusterId}

Delete a MariaDB cluster.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
clusterIdstringRequired

The unique ID of the cluster.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
Responses
chevron-right
200

The deleted cluster with metadata.state set to "DESTROYING".

application/json

A database cluster.

idstringOptional

The unique ID of the resource.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
delete
/clusters/{clusterId}

Update a cluster

patch
/clusters/{clusterId}

Updates mutable attributes on a MariaDB cluster.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
clusterIdstringRequired

The unique ID of the cluster.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
Body

Request payload to change a cluster.

Responses
chevron-right
200

Successful operation.

application/json

A database cluster.

idstringOptional

The unique ID of the resource.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
patch
/clusters/{clusterId}

Last updated

Was this helpful?